

/*******************************************************************************************************************
 *
 * Zentrale ISR
 *
 *******************************************************************************************************************/
interrupt void INT_(void)
 {

   CLRWDT();

   //--------------------
   // Timer 1 berlauf ?
   //--------------------
   if (TMR1IF)
   	{

      TMR1IF=0;                                         // Clear Interrupt-Flag
      TMR1L=0x96;                                       // Timer 1 neu vorladen (0xE796 = 10ms)
      TMR1H=0xE7;                                       // n = 2^16 - t [s] * 625000

      Systemticker ();                                  // Systemticker erhhen, siehe MISC.C

   	} // From Timer 1 berlauf

   //----------------------------
   // Receive complete-Interrupt
   //----------------------------
   if (RCIF)
    {
     // Nchste Schreibposition ermitteln
     zeiger = usart_schreibzeiger;
     zeiger++;
     if (zeiger == Empfangspuffergroesse) zeiger = 0;

     // Ist das Pufferende erreicht ? Dann Zeichen verwerfen
     if (zeiger == usart_lesezeiger) cdummy = RCREG; else
      {
       usart_empfangspuffer [usart_schreibzeiger] = RCREG;    // Zeichen speichern
       usart_schreibzeiger = zeiger;                          // Neuen Zeiger setzen
      }

    } // From if (RCIF)

   return;									                            // Zurck zum Hauptprogramm
 }
