/***************************************************************************************************************
 *
 * Integer nach String umwandeln
 *
 ***************************************************************************************************************/
void inttostr (unsigned int wert)
 {
   unsigned short ad,rest;
   char step;

   memset (outbuf,0,9);	                    // Buffer lschen
   step=0;
   rest=wert;

   if (wert >=10000)	                        // Stellen nacheinander abfragen+zuordnen
   	{
   	ad=(rest / 10000);
   	outbuf[step]=(48+ad);                    // 48 entspricht '0'
   	rest=rest-(10000*ad);
   	step++;
   	}
   	if (wert >=1000)
   	{
   	ad=(rest / 1000);
   	outbuf[step]=(ad+48);
   	rest=rest-(1000*ad);
   	step++;
   	}
   	if (wert >=100)
   	{
   	ad=(rest / 100);
   	outbuf[step]=ad+48;
   	rest=rest-(100*ad);
   	step++;
   	}

   	if (wert >=10)
   	{
   	ad=(rest / 10);
   	outbuf[step]=ad+48;
   	rest=rest-(10*ad);
   	step++;
   	}
   	outbuf[step]=(48+rest);
   	outbuf[step+1]=0;                        // mit Null abschlieen !!
   	step++;

 }

/***************************************************************************************************************
 *
 * Integer nach Hex umwandeln
 *
 ***************************************************************************************************************/
void inttohex (unsigned int wert)
 {
   unsigned int puffer;
   char zeichen;

   puffer = wert & 0xf000;
   zeichen = puffer >> 12;
   zeichen += '0';
   if (zeichen > '9') zeichen += 7;
   outbuf [0]=zeichen;                                // In Zeichenkette setzen

   puffer = wert & 0x0f00;
   zeichen = puffer >> 8;
   zeichen += '0';
   if (zeichen > '9') zeichen += 7;
   outbuf [1]=zeichen;                                // In Zeichenkette setzen

   puffer = wert & 0x00f0;
   zeichen = puffer >> 4;
   zeichen += '0';
   if (zeichen > '9') zeichen += 7;
   outbuf [2]=zeichen;                                // In Zeichenkette setzen

   puffer = wert & 0x000f;
   zeichen = puffer;
   zeichen += '0';
   if (zeichen > '9') zeichen += 7;
   outbuf [3]=zeichen;                                // In Zeichenkette setzen

 	 outbuf [4] = 0;                                    // Stringende setzen

 }

/***************************************************************************************************************
 *
 * Systemticker erhhen
 *
 ***************************************************************************************************************/
void Systemticker (void)
 {
  Timerticks++;
 }

/***************************************************************************************************************
 *
 * Systemticker auslesen
 *
 ***************************************************************************************************************/
long Get_Ticker (void)
 {
  return (Timerticks);
 }

/***************************************************************************************************************
 *
 * Verzgern im Millisekundenbereich
 *
 ***************************************************************************************************************/
void Delayms (int time)
 {
  long ticker;

  /*
  inttostr (time);
  put_string_usart (outbuf);
  put_char_usart (' ');

  inttostr (time/10);
  put_string_usart (outbuf);
  put_char_usart (' ');
  */

  ticker = Get_Ticker ();

  /*
  inttostr (ticker);
  put_string_usart (outbuf);
  put_char_usart (' ');
  */

  // ticker += (time/10);
  ticker += time;

  /*
  inttostr (ticker);
  put_string_usart (outbuf);
  put_char_usart (' ');
  */
  while ( ticker > Get_Ticker () )
   {
    CLRWDT();
   }

  /*
  inttostr (Get_Ticker ());
  put_string_usart (outbuf);
  put_char_usart (' ');
  */

 }

