
// Standard-defines
#define ON  1
#define EIN 1
#define TRUE ON

#define OFF 0
#define AUS 0
#define FALSE OFF

// Richtung
#define vor     1
#define zurueck 0

// Steuerzeichen
#define CR  0x0d
#define LF  0x0a

// Hardwaredefinitionen

#define Achtzig                    145
#define Vorwaermung                130
#define Hysterese                  3

// Eingnge
#define Schalter_StempelUnten	     0x04 // RB2
#define Schalter_Temperatur	   		 0x10 // RB4
#define Schalter_Wassertakt	       0x10 // RA4
#define Schalter_DeckelOben        0x20 // RB5
#define Schalter_Stempelfaehrt	   0x08 // RB3
#define Schalter_SchwenkerBruehen  0x40 // RB6
#define Schalter_SchwenkerFuellen  0x80 // RB7
#define Schalter_SchwenkerAusguss  0x01 // RE0

#define Taster_Pumpe               0x02 // RC1
#define Taster_Kaffee              0x01 // RC0

// Ausgnge
#define OutStempelEin		           0x08 // RD3
#define OutStempelRichtung         0x10 // RD4
#define OutDeckelRichtung          0x80 // RD7
#define OutDeckelVoll              0x20 // RD5
#define OutDeckelHalb              0x40 // RD6
#define OutSchwenkerEin            0x04 // RD2
#define OutSchwenkerRichtung       0x02 // RD1
#define OutPumpeEin                0x01 // RD0
#define OutBoilerEin               0x04 // RE2

// Positionen
#define fuellen											 1
#define bruehen											 2
#define ausgiessen									 3

// Messdauer in Timerticks
#define wassermessdauer             20

// Sensorwert fr einen Becher
#define Tassenwert                  6000

#define Empfangspuffergroesse       10
